import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:hmg_patient_app_new/core/app_assets.dart';
import 'package:hmg_patient_app_new/core/app_export.dart';
import 'package:hmg_patient_app_new/core/utils/utils.dart';
import 'package:hmg_patient_app_new/extensions/string_extensions.dart';
import 'package:hmg_patient_app_new/extensions/widget_extensions.dart';
import 'package:hmg_patient_app_new/generated/locale_keys.g.dart';
import 'package:hmg_patient_app_new/theme/colors.dart';

class HydrationTipsWidget extends StatelessWidget {
  const HydrationTipsWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.symmetric(horizontal: 24.w),
      padding: EdgeInsets.all(16.h),
      decoration: RoundedRectangleBorder().toSmoothCornerDecoration(
        color: AppColors.whiteColor,
        borderRadius: 24.r,
        hasShadow: true,
      ),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Row(
            children: [
              Utils.buildSvgWithAssets(
                icon: AppAssets.bulb_icon,
                width: 24.w,
                height: 24.h,
              ),
              SizedBox(width: 8.w),
              LocaleKeys.tipsToStayHydrated.tr(context: context).toText16(isBold: true),
            ],
          ),
          SizedBox(height: 8.h),
          " •  ${LocaleKeys.drinkBeforeYouFeelThirsty.tr(context: context)}".toText12(
                isBold: true,
                color: AppColors.textColorLight,
              ),
          SizedBox(height: 4.h),
          " •  ${LocaleKeys.keepRefillableBottleNextToYou.tr(context: context)}".toText12(
                isBold: true,
                color: AppColors.textColorLight,
              ),
          SizedBox(height: 4.h),
          " •  ${LocaleKeys.trackYourDailyIntakeToStayMotivated.tr(context: context)}".toText12(
                isBold: true,
                color: AppColors.textColorLight,
              ),
          SizedBox(height: 4.h),
          " •  ${LocaleKeys.chooseSparklingWaterInsteadOfSoda.tr(context: context)}".toText12(
                isBold: true,
                color: AppColors.textColorLight,
              ),
          SizedBox(height: 8.h),
        ],
      ),
    );
  }
}

